package de.stoermer.xxx.domain;

public enum Werkzeug implements Anzeige, Beschreibung {
	
	MUND("Mund", "Ob die Person gewillt ist den Mund einzusetzen."),
	VAGINA("Vagina", "Ob die Person über eine Vagina verfügt und gewillt ist diese einzusetzen."),
	PENIS("Penis", "Ob die Person über einen Penis verfügt und gewillt ist diesen einzusetzen."),
	ANUS("Anus", "Ob die Person gewillt ist den Anus einzusetzen."),
	UMSCHNALLDILDO("Umschnall-Dildo", "Ob die Person über einen Umschnall-Dildo verfügt und gewillt ist diesen einzusetzen.");
		
	private String anzeige;
	private String beschreibung;
	
	Werkzeug(String anzeige, String beschreibung) {
		this.anzeige = anzeige;
		this.beschreibung = beschreibung;
	}
	
	@Override
	public String beschreibungsText() {
		return beschreibung;
	}

	@Override
	public String anzeigeText() {
		return anzeige;
	}
}
